curl --request GET \
--url https://jmpy.me/api/v1/domains/check-domain/{domain} \
--header 'Authorization: Bearer <token>'{
"available": true,
"message": "<string>"
}Check availability of a branded domain
curl --request GET \
--url https://jmpy.me/api/v1/domains/check-domain/{domain} \
--header 'Authorization: Bearer <token>'{
"available": true,
"message": "<string>"
}go.mycompany.com) is available to be registered on Jmpy.me.
curl -X GET "https://jmpy.me/api/v1/domains/check-domain/go.acme.com" \
-H "Authorization: Bearer YOUR_API_KEY"
const fetch = require('node-fetch');
const response = await fetch('https://jmpy.me/api/v1/domains/check-domain/go.acme.com', {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
const data = await response.json();
console.log(data);
import axios from 'axios';
const response = await axios.get(
'https://jmpy.me/api/v1/domains/check-domain/go.acme.com',
{ headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }
);
console.log(response.data);
import requests
response = requests.get(
'https://jmpy.me/api/v1/domains/check-domain/go.acme.com',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
print(response.json())
<?php
$client = new GuzzleHttp\Client();
$response = $client->request('GET', 'https://jmpy.me/api/v1/domains/check-domain/go.acme.com', [
'headers' => [
'Authorization' => 'Bearer YOUR_API_KEY'
]
]);
?>
package main
import (
"net/http"
)
func main() {
url := "https://jmpy.me/api/v1/domains/check-domain/go.acme.com"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer YOUR_API_KEY")
http.DefaultClient.Do(req)
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.URI;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://jmpy.me/api/v1/domains/check-domain/go.acme.com"))
.header("Authorization", "Bearer YOUR_API_KEY")
.GET()
.build();
client.send(request, HttpResponse.BodyHandlers.ofString());
{
"success": true,
"data": {
"domain": "go.acme.com",
"available": true,
"message": "Domain is available"
}
}
Pre-validate info
async function registerDomain(domain) {
// 1. Check availability first
const checkResponse = await fetch(
`https://jmpy.me/api/v1/domains/check-domain/${domain}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_KEY' } }
);
const checkResult = await checkResponse.json();
if (!checkResult.data.available) {
throw new Error(`Domain ${domain} is not available`);
}
// 2. Register if available
const createResponse = await fetch(
'https://jmpy.me/api/v1/domains/branded',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({ domain })
}
);
return await createResponse.json();
}